de.dhbwstuttgart.typeinference

## Class EinzelElement<A>

- java.lang.Object
- - de.dhbwstuttgart.typeinference.EinzelElement<A>

All Implemented Interfaces:
  KomplexeMenge<A>

Direct Known Subclasses:
  SingleConstraint

    class EinzelElement<A>
    extends java.lang.Object
    implements KomplexeMenge<A>

### Field Summary

Fields
`private A` `item`

### Constructor Summary

Constructors
Constructor and Description
`EinzelElement(A element)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addItem(A item)`
`void` `addItems(KomplexeMenge<A> item)`
`Menge<Menge<A>>` `cartesianProduct()`
`Menge<UndMenge<A>>` `getAndSets()`
`Menge<A>` `getItems()`
`Menge<OderMenge<A>>` `getOrSets()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### item

    private A item

### Constructor Detail

#### EinzelElement

    public EinzelElement(A element)

### Method Detail

#### addItems

    public void addItems(KomplexeMenge<A> item)

Specified by:
  `addItems` in interface `KomplexeMenge<A>`

#### getItems

    public Menge<A> getItems()

Specified by:
  `getItems` in interface `KomplexeMenge<A>`

#### addItem

    public void addItem(A item)

Specified by:
  `addItem` in interface `KomplexeMenge<A>`

#### cartesianProduct

    public Menge<Menge<A>> cartesianProduct()

Specified by:
  `cartesianProduct` in interface `KomplexeMenge<A>`

#### getOrSets

    public Menge<OderMenge<A>> getOrSets()

Specified by:
  `getOrSets` in interface `KomplexeMenge<A>`

#### getAndSets

    public Menge<UndMenge<A>> getAndSets()

Specified by:
  `getAndSets` in interface `KomplexeMenge<A>`